namespace Wizard;

public class PracticeAISettingData
{
	public int ClassId { get; private set; }

	public int Difficulty { get; private set; }

	public int DeckId { get; private set; }

	public int StyleId { get; private set; }

	public int EmoteId { get; private set; }

	public int LogicLevel { get; private set; }

	public int MaxLife { get; private set; }

	public PracticeAISettingData(string[] columns)
	{
		int num = 0;
		ClassId = AIScriptParser.ParseInt(columns[num++]);
		Difficulty = AIScriptParser.ParseInt(columns[num++]);
		DeckId = AIScriptParser.ParseInt(columns[num++]);
		StyleId = AIScriptParser.ParseInt(columns[num++]);
		EmoteId = AIScriptParser.ParseInt(columns[num++]);
		LogicLevel = AIScriptParser.ParseInt(columns[num++]);
		MaxLife = AIScriptParser.ParseInt(columns[num++]);
	}
}
